<?php
declare(strict_types = 1);

function triangle(float $a, float $h) : float // funkcja licząca pole trójkąta
{
    $p = (0.5 * $a * $h); // obliczanie pola
    return (float)$p; // zwracanie wyniku
}
 
$a = 12; // podstawa trójkąta
$h = 34; // wysokość trójkąta
 
$t = triangle(a: $a, h: $h); // wywołaj funkcję i przypisz wynik do zmiennej
 
printf("Pole trójkąta o podstawie %d i wysokości %d wynosi %d.", $a, $h, $t);